# $Revision: 1.41 $, $Date: 2004/05/07 00:39:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Tty
Summary:	IO::Tty Perl module - low-level allocate a pseudo-tty, import constants
Summary(pl):	Modu Perla IO::Tty - niskopoziomowa alokacja pseudo-tty, wane stae
Name:		perl-IO-Tty
Version:	1.02
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	875a8bc6e0643f4fc892dbe113e43286
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Tty is used internally by IO::Pty to create a pseudo-tty. You
wouldn't want to use it directly except to import constants, use
IO::Pty. For a list of importable constants, see IO::Tty::Constant.

%description -l pl
Modu IO::Tty jest uywany wewntrznie poprzez IO::Pty do tworzenia
pseudo terminali (pseudo-tty). Nie naley uywa go bezporednio do
celw innych ni zaimportowanie staych - naley uywa IO::Pty.
Lista dostpnych staych znajduje si w IO::Tty::Constant.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/IO
%dir %{perl_vendorarch}/auto/IO
%dir %{perl_vendorarch}/auto/IO/Tty
%{perl_vendorarch}/auto/IO/Tty/Tty.bs
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Tty/Tty.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Tty.spec,v $
Revision 1.41  2004/05/07 00:39:42  ankry
- rel. 6

Revision 1.40  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.39  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.38  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.37  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.36  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.35  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:33:35  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/08/15 17:50:27  qboosh
- pl description, added conditional tests, release 4

Revision 1.26  2002/08/11 19:36:48  radek
- release up

Revision 1.25  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.24  2002/07/18 13:28:33  ankry
- translations, cleaning
- added %%doc
- added %%{perl_sitearch}/auto/IO
- fixed *.so permission; removed .packlist
- release 2

Revision 1.23  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.22  2002/07/11 08:00:27  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:17:44  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:27:49  depesz
adapterized

Revision 1.15  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/10 15:22:36  mis
- autoupdated to 0.05

Revision 1.13  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/17 12:11:10  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2001/01/08 22:17:56  kloczek
- release 2: cleanups.

Revision 1.8  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/12/06 18:41:13  kloczek
- updated to 0.04,
- rebuild against perl 5.6,
- added using new rpm automation.

Revision 1.6  2000/08/22 00:29:52  kloczek
- updated to 0.03,
- removed outdated make patch.

Revision 1.5  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.1  1999/11/05 17:03:41  pius
- initial release
